Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.util.jdbc
Class SetStringDatabase

    java.lang.Object
      |
      +--com.bea.p13n.util.jdbc.GenericDatabase
            |
            +--com.bea.p13n.util.jdbc.SetStringDatabase

public class SetStringDatabase
extends GenericDatabase

Constructor Summary
`SetStringDatabase(java.sql.Connection connection)`

Method Summary
`boolean` | `commitConnection(java.sql.Connection connection)`
`java.lang.String` | `getClob(java.sql.ResultSet rs, int index)`
`java.lang.String` | `getName()`
`boolean` | `setClob(java.sql.PreparedStatement stmt, int index, java.sql.Clob clob, java.lang.String str)`
`void` | `setClob(java.sql.PreparedStatement stmt, int index, java.lang.String str)`

Methods inherited from class com.bea.p13n.util.jdbc.GenericDatabase
`accept, close, close, close, close, close, close, createClobKey, createPreparedStatement, endClob, getApplicationName, getClobLocator, getClobTableName, getConnection, getEmptyClobInitializer, getProperty, insertClob, printSqlWarning, readClob, readFromClob, readFromClob, removeClob, startClob, updateClob, writeToClob, writeToClob`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetStringDatabase

    public SetStringDatabase(java.sql.Connection connection)

Method Detail

### getClob

    public java.lang.String getClob(java.sql.ResultSet rs,
                                    int index)
                             throws java.sql.SQLException

  Overrides:
    getClob in class GenericDatabase

### setClob

    public void setClob(java.sql.PreparedStatement stmt,
                        int index,
                        java.lang.String str)
                 throws java.sql.SQLException

  Overrides:
    setClob in class GenericDatabase

### setClob

    public boolean setClob(java.sql.PreparedStatement stmt,
                           int index,
                           java.sql.Clob clob,
                           java.lang.String str)
                    throws java.sql.SQLException

  Overrides:
    setClob in class GenericDatabase

### commitConnection

    public boolean commitConnection(java.sql.Connection connection)
                             throws java.sql.SQLException

  Overrides:
    commitConnection in class GenericDatabase

### getName

    public java.lang.String getName()

  Returns:
    the name of the database
  Overrides:
    getName in class GenericDatabase

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved